spring boot项目升级到2.0.1,提示java.lang.ClassNotFoundException: org.apache.log4j.Logger错误

首先肯定是版本出现了一点兼容问题

所以我就进入项目,查看依赖树,cd到项目目录下,mvn dependency:tree

我看到我的项目原先是1.5.9和现在2.0.1的区别在于org.slf4j的依赖不全

【1.5.9.release】

【2.0.1.release】

那么问题简单了,我就把原先用到的日志依赖全部手动添加1.7.25版本

<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter-web</artifactId>
<exclusions>
<exclusion>
<groupId>org.apache.logging.log4j</groupId>
<artifactId>log4j-to-slf4j</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-api</artifactId>
<version>1.7.25</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>log4j-over-slf4j</artifactId>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>jcl-over-slf4j</artifactId>
</dependency>
因为项目都是用logback,所以就排除log4j就行了
posted on 2018-09-05 09:43  沐雨橙风丶  阅读(3648)  评论(0编辑  收藏  举报